Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001552ScribusStory Editor / Text Framespublic2005-01-17 02:382005-04-21 19:05
Reporterlouisdesjardins 
Assigned Tofschmid 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSMandrakeOS Version10.1
Product Version1.2.2cvs 
Target VersionFixed in Version1.2.2cvs 
Summary0001552: Smallest word in Hyphenator Settings falls short by one letter
DescriptionWhen you set the smallest word to be hyphenated (Tooltip: "length of the smallest word to be hyphenated") to any value, the smallest word that will be actually hyphenated will always be short of that value by one letter.
Steps To ReproduceBelow is my list of words.
I tried with few languages, same results.

Use my list to test.
Go to Settings>Hyphenator...
Set the Smallest word field to 12
Check the Hyphenation Suggestions option
Then go to Extras>Hyphenate Text
You will get nothing, even from the 12-letters words... all of which, by that settings, should be hyphenated or at least get a Suggestion.

Do the same and set the Smallest Word field to 11
You will get Suggestions for the 12-letters words only.

Set the Smallest Word field to 10, you will get suggestions for the 11 and 12-letters words, and so on.

8-letter words
problème
promesse
probable
rigidité

9-letter words
problèmes
promesses
programme
procédure

10-letter words
concurrent
projection
prévenance
réorienter

11-letter words
probabilité
circonflexe
concurrence
particulier

12-letter words
convalescent
renversement
enthousiasme
hispanophone
TagsNo tags attached.
Patch
Attached Files

- Relationships
child of 0003828acknowledged Metabug: Hyphenation 

-  Notes
(0004275)
louisdesjardins (developer)
2005-04-16 19:47

Hi Team,
1. Please change severity from "minor" to "tweak"
2. If this isn't going to get attention before 1.2.2 stable is out, bump to 1.3
Thanks!
(0004282)
plinnell (administrator)
2005-04-18 23:04

Tested. Seems to work fine now. Louis, please double check then close it fixed. Thanks.

- Issue History
Date Modified Username Field Change
2005-01-17 02:38 louisdesjardins New Issue
2005-04-16 19:47 louisdesjardins Note Added: 0004275
2005-04-18 18:20 plinnell Assigned To => fschmid
2005-04-18 18:20 plinnell Status new => assigned
2005-04-18 18:20 plinnell Product Version 1.2.1cvs => 1.2.2cvs
2005-04-18 21:25 fschmid Status assigned => resolved
2005-04-18 21:25 fschmid Fixed in Version => 1.2.2cvs
2005-04-18 21:25 fschmid Resolution open => fixed
2005-04-18 23:04 plinnell Note Added: 0004282
2005-04-21 19:05 cbradney Status resolved => closed
2006-05-17 00:15 christoph_s Relationship added child of 0003828



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker